#!/bin/sh
# $Id: make_directories.sh 2121 2008-05-31 16:24:14Z kink $

# Script to create directories necessary for the DOMjudge system as
# part of the installation process. This script should be called from
# the SYSTEM_ROOT (or SYSTEM_ROOT/bin) directory!
#
# Normally you don't want to run this script directly, but via 'make'
# instead. It gets as first argument the make target.
#
# Part of the DOMjudge Programming Contest Jury System and licenced
# under the GNU GPL. See README and COPYING for details.

# Exit on any error:
set -e

PROGRAM=$0
TARGET=$1

error()
{
	echo "$PROGRAM: $@" >&2
	exit 1
}

if [ -f etc/config.sh ]; then
	. etc/config.sh
elif [ -f ../etc/config.sh ]; then
	. ../etc/config.sh
else
	error "configuration not found: called from right dir?"
fi

case "$TARGET" in
	install)
		mkdir -m 0711 -p $OUTPUT_ROOT $JUDGEDIR
		mkdir -m 0700 -p $INCOMINGDIR $SUBMITDIR $LOGDIR
		;;
	clean)
		;;
	distclean)
		rm -rf $OUTPUT_ROOT $INCOMINGDIR $SUBMITDIR $JUDGEDIR $LOGDIR
		;;
	*) error "unknown target: '$TARGET'." ;;
esac

exit 0
